> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a checkout payment with payment link reference



## OpenAPI

````yaml post /api/v1/paymentlink/initiate
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/paymentlink/initiate:
    post:
      tags:
        - Checkout
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentLinkInitRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PaymentLinkInitRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PaymentLinkInitRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitiateFailureResponse'
components:
  schemas:
    PaymentLinkInitRequest:
      required:
        - amount
        - checkoutCustomerData
        - currency
        - paymentLinkReference
      type: object
      properties:
        paymentLinkReference:
          minLength: 1
          type: string
        amount:
          type: number
          format: double
        currency:
          minLength: 1
          type: string
        allowedPaymentOptions:
          type: string
          nullable: true
        metaData:
          type: string
          nullable: true
        checkoutCustomerData:
          $ref: '#/components/schemas/CheckoutCustomerData'
        checkoutCustomizationData:
          $ref: '#/components/schemas/CheckoutCustomizationData'
      additionalProperties: false
    ApiResponse:
      type: object
      properties:
        status:
          type: boolean
        message:
          type: string
          nullable: true
        data:
          nullable: true
      additionalProperties: false
      example:
        status: true
        message: Transaction Initialized successfully
        data:
          transactionReference: string
          amount: 0
          statusCode: '01'
          statusMessage: Transaction initiated successfully
          publicKey: string
          paymentRedirectUrl: string
    InitiateFailureResponse:
      type: object
      properties:
        status:
          type: boolean
        message:
          type: string
          nullable: true
        data:
          nullable: true
      additionalProperties: false
      example:
        status: false
        message: Empty request not allowed.
        data:
          responseCode: '400'
          responseDescription: Invalid request.
    CheckoutCustomerData:
      required:
        - email
        - firstName
        - lastName
      type: object
      properties:
        email:
          minLength: 1
          type: string
        firstName:
          minLength: 1
          type: string
        lastName:
          minLength: 1
          type: string
        phoneNumber:
          type: string
          nullable: true
      additionalProperties: false
    CheckoutCustomizationData:
      type: object
      properties:
        logoUrl:
          type: string
          nullable: true
        paymentDescription:
          maxLength: 255
          minLength: 0
          type: string
          nullable: true
        checkoutModalTitle:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your Bearer token in this format - Bearer {your token here} to
        access this API
      name: Authorization
      in: header

````